<html>
<head>
<title>Omni Viewer</title>
<link rel="stylesheet" href="/style.css" type="text/css">
<style type="text/css">
<!--
.line {
	border-right-width: 1px;
	border-right-style: solid;
	border-right-color: #CCCCCC;
}
.topLine {
	border: 1px solid #CCCCCC;
}
.style_ShortFocus	{border:0; width:76px; height:24px; background:url('/img/btn_ShortFocus.gif')}
.style_ShortOver	{border:0; width:76px; height:24px; background:url('/img/btn_ShortOver.gif')}
-->
</style>
<script language="JavaScript">
	<% FwGetDiDoState("FwModId"); %>

	var GlobalWidth, GlobalHeight;	
	GlobalWidth = -1;
	GlobalHeight = -1;
	
	function ViewTimer() {
		var time = window.setTimeout("ViewTimer()",1000);
		var today = new Date();
		var now = AddZeros(today.getFullYear(), 4) + '-' +
				AddZeros(today.getMonth() + 1, 2) + '-' +
				AddZeros(today.getDate(), 2) + ' ' +
				AddZeros(today.getHours(), 2) + ':' +
				AddZeros(today.getMinutes(), 2) + ':' +
				AddZeros(today.getSeconds(), 2);
				
		document.getElementById("clock1").innerHTML = "<font color=#FFFFFF>" + now + "</font>";
		document.getElementById("clock2").innerHTML = "<font color=#FFFFFF>" + now + "</font>";
		document.getElementById("clock3").innerHTML = "<font color=#FFFFFF>" + now + "</font>";
		document.getElementById("clock4").innerHTML = "<font color=#FFFFFF>" + now + "</font>";
	}
	
	function AddZeros(n, digits) {
		var zero = '';
		n = n.toString();
		if (n.length < digits) {
			for (i = 0; i < digits - n.length; i++)
				zero += '0';
			}
		return zero + n;
	}
	
	function ViewCamNum() {
		document.getElementById("description1").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 1</font>";
		document.getElementById("description2").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 2</font>";
		document.getElementById("description3").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 3</font>";
		document.getElementById("description4").innerHTML = "<font color=#FFFFFF><% FwGetModuleName("FwModId"); %> - Camera 4</font>";
	}
	
	function ChgModId() {
		location.href = "multi_view.asp?FwModId=" + document.all.ModSelect.value;
	}
	
	function ChgFrameRate() {
		with (document.all) {
			if (CamSelect.value == "0") {
				OmniViewer1.SetStreamInterval(FrameRate.value);
			}
			else if (CamSelect.value == "1") {
				OmniViewer2.SetStreamInterval(FrameRate.value);
			}
			else if (CamSelect.value == "2") {
				OmniViewer3.SetStreamInterval(FrameRate.value);
			}
			else if (CamSelect.value == "3") {
				OmniViewer4.SetStreamInterval(FrameRate.value);
			}
		}
	}
	
	function ChgResolution(param1, param2) {
		with (document.all) {
			if (GlobalWidth != param1 || GlobalHeight != param2) {
				OmniViewer1.width = param1;
				OmniViewer1.height = param2;
				OmniViewer2.width = param1;
				OmniViewer2.height = param2;
				OmniViewer3.width = param1;
				OmniViewer3.height = param2;
				OmniViewer4.width = param1;
				OmniViewer4.height = param2;
			}
		}
	}
</script>
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="ViewTimer();ViewCamNum();">
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#F0F0F0" class="topLine">
  <tr><td valign="top" height="1" bgcolor="#F0F0F0"></td></tr>
  <tr>
    <td valign="top" height="30">
		<table border="0" cellspacing="0" cellpadding="0" align="left" width="768" height="30">
		  <tr>
			<td width="60" align="center">Module : </td>
			<td width="200">
				<select name=ModSelect onChange="ChgModId();" size=1 style="width:200px;">
					<% PxMakeRx_LiveCombo("FwModId", "ComboStyle"); %>
				</select>
			</td>
			<td width="68" align="center">Camera : </td>
			<td width="95">
				<select name=CamSelect size=1 style='width:90px;'>
					<option value=0>Camera 1 
					<option value=1>Camera 2 
					<option value=2>Camera 3 
					<option value=3>Camera 4 
				</select>
			</td>
			<td width="85">Frame Rate : </td>
			<td width="100">
				<select name='FrameRate' onChange='ChgFrameRate();' style='width:90px;'>
					<option value="0" selected>Fastest</option>
					<option value="70">15 fps</option>
					<option value="100">10 fps</option>
					<option value="200">5 fps</option>
					<option value="500">2 fps</option>
					<option value="1000">1 fps</option>
				</select>
			</td>
			<td width="80" align="center"><input type=button class="style_ShortFocus" value="Snapshot" onclick="location.href='/cgi-bin/fwcamimgsave.cgi?FwModId=' + document.all.ModSelect.value + '&PortId=' + document.all.CamSelect.value + '&FwCgiVer=0x0001'" title="Snapshot - Save image" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
			<td width="80" align="center"><input type=button class="style_ShortFocus" value="Single" onclick="location.href='single_view.asp?FwModId=' + document.all.ModSelect.value" title="Single View" onMouseOver="this.className ='style_ShortOver'" onMouseOut="this.className ='style_ShortFocus'" onFocus="this.blur()"></td>
		  </tr>
		</table>
	</td>
  </tr>
  <tr><td valign="top" height="1" bgcolor="#CCCCCC"></td></tr>
  <tr>
    <td align="center" valign="middle" bgcolor="#464646">
		<table border="0" cellpadding="0" cellspacing="0" bgcolor="#464646">
			<tr>
				<td>
					<table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#004B78">
								<div id="clock1"></div>
							</td>
						</tr>
						<tr>
							<td align="center"><APPLET mayscript width=352 height=240 codebase='/' archive='OmniViewer1.0.0.0.jar' code='StreamApplet.class' name='OmniViewer1'>
								<PARAM name=ServerID value=<% FwGetParmValue("FwModId"); %>>
								<PARAM name=ScreenCount value=1>
								<PARAM name=ScreenRun1 value=true>
								<PARAM name=ScreenForCamera1 value=1>
								<PARAM name=FrameInterval value=0>
								<PARAM name=ServerImgSize value=false>
								<PARAM name=UserID value=<% FwGetUser(); %>>
								<PARAM name=PassWD value=<% FwGetPass(); %>>
							</APPLET></td>
						</tr>
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#3278A0">
								<div id="description1"></div>
							</td>
						</tr>
					</table>
				</td>
				<td>
					<table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#004B78">
								<div id="clock2"></div>
							</td>
						</tr>
						<tr>
							<td align="center"><APPLET mayscript width=352 height=240 codebase='/' archive='OmniViewer1.0.0.0.jar' code='StreamApplet.class' name='OmniViewer2'>
								<PARAM name=ServerID value=<% FwGetParmValue("FwModId"); %>>
								<PARAM name=ScreenCount value=1>
								<PARAM name=ScreenRun2 value=true>
								<PARAM name=ScreenForCamera2 value=1>
								<PARAM name=FrameInterval value=0>
								<PARAM name=ServerImgSize value=false>
								<PARAM name=UserID value=<% FwGetUser(); %>>
								<PARAM name=PassWD value=<% FwGetPass(); %>>
							</APPLET></td>
						</tr>
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#3278A0">
								<div id="description2"></div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
			<tr>
				<td>
					<table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#004B78">
								<div id="clock3"></div>
							</td>
						</tr>
						<tr>
							<td align="center"><APPLET mayscript width=352 height=240 codebase='/' archive='OmniViewer1.0.0.0.jar' code='StreamApplet.class' name='OmniViewer3'>
								<PARAM name=ServerID value=<% FwGetParmValue("FwModId"); %>>
								<PARAM name=ScreenCount value=1>
								<PARAM name=ScreenRun3 value=true>
								<PARAM name=ScreenForCamera3 value=1>
								<PARAM name=FrameInterval value=0>
								<PARAM name=ServerImgSize value=false>
								<PARAM name=UserID value=<% FwGetUser(); %>>
								<PARAM name=PassWD value=<% FwGetPass(); %>>
							</APPLET></td>
						</tr>
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#3278A0">
								<div id="description3"></div>
							</td>
						</tr>
					</table>
				</td>
				<td>
					<table border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#CCCCCC">
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#004B78">
								<div id="clock4"></div>
							</td>
						</tr>
						<tr>
							<td align="center"><APPLET mayscript width=352 height=240 codebase='/' archive='OmniViewer1.0.0.0.jar' code='StreamApplet.class' name='OmniViewer4'>
								<PARAM name=ServerID value=<% FwGetParmValue("FwModId"); %>>
								<PARAM name=ScreenCount value=1>
								<PARAM name=ScreenRun4 value=true>
								<PARAM name=ScreenForCamera4 value=1>
								<PARAM name=FrameInterval value=0>
								<PARAM name=ServerImgSize value=false>
								<PARAM name=UserID value=<% FwGetUser(); %>>
								<PARAM name=PassWD value=<% FwGetPass(); %>>
							</APPLET></td>
						</tr>
						<tr>
							<td height="20" align="center" valign="middle" bgcolor="#3278A0">
								<div id="description4"></div>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>		
	</td>
  </tr>
</table>
</body>
</html>