<html>
<head>
	<meta http-equiv="pragma" content="no-cache">
	<link rel="stylesheet" href="/style.css" type="text/css">
	<script language=javascript>
	<% FwGetPtzConf(); %>
	<% FwGetSyllHeadConf(); %>
	<% FwGetPtzModConf("FwModId"); %>
	<% FwGetModuleInfo("FwModId"); %>
	
	function GetData() {
		with( document.forms[0] ) {
			PtzCtlMode[0].checked = ((PTZ_CTL_MODE == 1) ? true : false);
			PtzCtlMode[1].checked = ((PTZ_CTL_MODE == 0) ? true : false);
			PtzBaudRateIdx.value = UART_BAUDRATE_IDX;						 
			PtzDeviceId.value = PTZDEVICEID;
			PtzLineMode.value = UART_LINE_MODE;
			if(TTYS0_MODE == "p") { 
				CurPort.value = "COM"; 
			}
			else if(TTYS1_MODE == "p"){ 
				CurPort.value = "AUX";
			}
			else { 
				CurPort.value = "None";
			}
			
			PtzBaseAddr0.value = PTZBASEADDR;					
			<% FwGetPortRemark("0","C_BEGIN","NOTEXISTENCE"); %>PtzFlag0.checked = ( (PTZINSTFLAG & 0x01 << 0) ? true : false );<% FwGetPortRemark("0","C_END","NOTEXISTENCE"); %>
			<% FwGetPortRemark("1","C_BEGIN","NOTEXISTENCE"); %>PtzFlag1.checked = ( (PTZINSTFLAG & 0x01 << 1) ? true : false );<% FwGetPortRemark("1","C_END","NOTEXISTENCE"); %>
			<% FwGetPortRemark("3","C_BEGIN","NOTEXISTENCE"); %>PtzFlag2.checked = ( (PTZINSTFLAG & 0x01 << 2) ? true : false );PtzFlag3.checked = ( (PTZINSTFLAG & 0x01 << 3) ? true : false );<% FwGetPortRemark("3","C_END","NOTEXISTENCE"); %>			 
		}	
	 }
	 
	 function ChgPtzDeviceId() {
	 	with (document.forms[0]) {
			if (PtzDeviceId.value == PTZDEVICEID) {
				PtzLineMode.value = UART_LINE_MODE;
				PtzBaudRateIdx.value = UART_BAUDRATE_IDX;
			}
			else {
				PtzLineMode.value = "255";
				PtzBaudRateIdx.value = "255";
			}
		}
	 }
	 
	 function MinMax(inpobj, min, max)	{
	 	if( isNaN(Number(inpobj.value,10)) )	{
			alert("\'" + inpobj.value + "\' is not a number.");
			inpobj.focus();
		}
		if( inpobj.value < min || inpobj.value > max )	{
			alert("Address should be " + min + " ~ " + max );
			inpobj.focus();
		}
	}
	
	function SetData()  {
		with( document.forms[0] ) {
			if( isNaN(Number(PtzBaseAddr0.value,10)) )	{
				alert("\'" + PtzBaseAddr0.value + "\' is not a number.");
				PtzBaseAddr0.focus();
				return false;
			}
			if( PtzBaseAddr0.value < 0 || PtzBaseAddr0.value > 255 )	{
				alert("Address should be 0 ~ 255");
				PtzBaseAddr0.focus();
				return false;
			}		
			if(NUM_OF_CAM == 1) {
				PtzInstFlag0.value = (PtzFlag0.checked << 0);
			}
			else if(NUM_OF_CAM == 2) {
				PtzInstFlag0.value = (PtzFlag0.checked << 0) | (PtzFlag1.checked << 1);
			}
			else {
				PtzInstFlag0.value = (PtzFlag0.checked << 0) | (PtzFlag1.checked << 1) | (PtzFlag2.checked << 2) | (PtzFlag3.checked << 3);
			}
			toback.disabled = true;
			toapply.disabled = true;
		}
	}  
	</script>
</head>

<body class=body_Normal onload="GetData();" topmargin=25>
<form name=ptz method=Post action="/cgi-bin/admin/fwptzset.cgi" onSubmit="return SetData();">
    <table align=center>
        <tr>
            <td align=center height=40><font class=text_Title>PTZ Mode Configuration</font></td>
        </tr>
        <tr>
            <td>
                <table align=center class=tbl_Normal cellspacing=0>
                    <tr>
                        <td class=td_NormalLeft width=140>&nbsp;Current Port</td>
                	    <td colspan=5 class=td_NormalRight>&nbsp;<input type=text name=CurPort size=35 class=obj_NoFont></td>
                    </tr>
                    <tr>
                        <td class=td_NormalLeft>&nbsp;Dummy Data</td>
                	    <td colspan=5 class=td_NormalRight>&nbsp;<input type=radio name=PtzCtlMode value=1> On&nbsp;
                            <input type=radio name=PtzCtlMode value=0> Off</td>
                    </tr>
                    <tr>
                        <td class=td_NormalLeft>&nbsp;Current Protocol</td>
                	    <td colspan=5 class=td_NormalRight>&nbsp;<select name="PtzLineMode" style="width:100px;">
                             <option value="255">Default
                             <option value="0">RS232
                             <option value="1">RS485
                             <option value="2">RS422							 
                            </select></td>
                    </tr>
                    <tr>
                        <td class=td_NormalLeft>&nbsp;Current Baudrate</td>
                	    <td colspan=5 class=td_NormalRight>&nbsp;<select name="PtzBaudRateIdx" style="width:100px;">
                             <option value="255">Default
                             <option value="1">110
                             <option value="2">300
                             <option value="3">1200
                             <option value="4">2400
                             <option value="5">4800
                             <option value="6">9600
                             <option value="7">19200
                             <option value="8">38400
                             <option value="9">57600
                             <option value="10">115200
                             <option value="11">230400
                             <option value="12">460800
                             <option value="13">921600							 
                            </select></td>
                    </tr>
            	  <% FwGetHwOptionRemark("21,21","0|d","BEGIN","NOTEXISTENCE"); %>
                    <tr>
                	    <td class=td_NormalLeft>&nbsp;PTZ Model</td>
                	    <td colspan=5 class=td_NormalRight>&nbsp;<select name="PtzDeviceId" onChange="ChgPtzDeviceId();">
                             <% FwMakePtzList(); %>
                            </select>
                        </td>
                    </tr>
            	  <% FwGetHwOptionRemark("21,21","0|d","END","NOTEXISTENCE"); %>
            	  
            	  <% FwGetHwOptionRemark("21,21","0|d","BEGIN","EXISTENCE"); %>
                    <tr>
                	    <td class=td_NormalLeft>&nbsp;PTZ Model</td>
                	    <td colspan=5 class=td_NormalRight>&nbsp;<select name="PtzDeviceId" onChange="ChgPtzDeviceId();" disabled>
                             <% FwMakePtzList(); %>
                            </select>
                        </td>
                    </tr>	
            	  <% FwGetHwOptionRemark("21,21","0|d","END","EXISTENCE"); %>  
                </table>
            </td>
        </tr> 
    </table>
    <table align=center>
        <tr>
            <td>
                <table align=center class=tbl_Normal cellspacing=0>	 	 
                    <tr class=td_NormalLeft>
                	    <td width=140 rowspan=2 align=center>Base Address</td>
                	    <td width=260 colspan=4 align=center>&nbsp;PTZ Install Flag</td>
                    </tr>
                    <tr>
                	    <% FwGetPortRemark("0","BEGIN","NOTEXISTENCE"); %><td align=center class=td_NormalLeft>Ch 1</td><% FwGetPortRemark("0","END","NOTEXISTENCE"); %>
                	    <% FwGetPortRemark("1","BEGIN","NOTEXISTENCE"); %><td align=center class=td_NormalLeft>Ch 2</td><% FwGetPortRemark("1","END","NOTEXISTENCE"); %>
                	    <% FwGetPortRemark("3","BEGIN","NOTEXISTENCE"); %><td align=center class=td_NormalLeft>Ch 3</td>
                	    <td align=center class=td_NormalLeft>Ch 4</td><% FwGetPortRemark("3","END","NOTEXISTENCE"); %>
                    </tr>
                    <tr>
                	    <td class=td_Config>&nbsp;<input type=text name=PtzBaseAddr0 size=5 onBlur="MinMax(PtzBaseAddr0,0,255);" class=obj_Normal> (0~255)</td>
                	    <% FwGetPortRemark("0","BEGIN","NOTEXISTENCE"); %><td class=td_Config align=center><input type=checkbox name=PtzFlag0></td><% FwGetPortRemark("0","END","NOTEXISTENCE"); %>
                	    <% FwGetPortRemark("1","BEGIN","NOTEXISTENCE"); %><td class=td_Config align=center><input type=checkbox name=PtzFlag1></td><% FwGetPortRemark("1","END","NOTEXISTENCE"); %>
                	    <% FwGetPortRemark("3","BEGIN","NOTEXISTENCE"); %><td class=td_Config align=center><input type=checkbox name=PtzFlag2></td>
                	    <td align=center><input type=checkbox name=PtzFlag3></td><% FwGetPortRemark("3","END","NOTEXISTENCE"); %>
                    </tr>	
                </table>
            </td>
        </tr> 
        <tr>
            <td align=center height=45>
            	<input type=hidden name="FwModId" value="<% FwGetParmValue("FwModId"); %>">
            	<input type=hidden name="PtzInstFlag0">
                <input type=hidden name="RetPage" value="/admin/ret_ok.asp">
            	<input type=hidden name="FwMkChg" value="YES">
            	<input type=hidden name="FwCgiVer" value="0x0001">
                <input type=button class=obj_Button name=toback value=" Back " onClick="location='uart.asp'">&nbsp;
                <input type=submit class=obj_Button name=toapply value=" Apply ">
            </td>
        </tr>
    </table>
    <table align=center width=450>	
        <tr>
            <td width="50" valign=top><font class=text_Notice><em>Notice</em></font>: </td>
            <td>1Channel IP camera or video server<br>
        	   * Base Address = 0 -> PTZ id = 1 for camera1 or 2<br>
        	   * Base Address = 99 -> PTZ id = 100 for camera1 or 2<br><br>
        	   4Channel Network video server<br>
        	   * Base Address = 0 -><br>
        	   PTZ Id = 1 for camera1, PTZ id = 2 for camera2<br>
        	   PTZ Id = 3 for camera3, PTZ id = 4 for camera4<br>
        	   * Base Address = 50 -> <br>
        	   PTZ Id = 51 for camera1, PTZ id =52 for camera2<br>
        	   PTZ Id = 53 for camera3, PTZ id =54 for cmaera4
            </td>
        </tr>
    </table>
</form>
</body>
</html> 
